Actions APIReferenceAuto claim

Read whether the redeem operator is approved for a user.

POST
/auto-claim/status

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

chainId*integer

EVM chain ID. Must be one of the supported chains (Plume=98866, Ethereum=1, BSC=56, Plasma=9745, Avalanche=43114).

Range0 < value
user*string

User/controller address whose redeem operator approval is being managed.

Match^0x[a-fA-F0-9]{40}$

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/auto-claim/status" \  -H "Content-Type: application/json" \  -d '{    "chainId": 98866,    "user": "0x00000000000000000000000000000000000000ab"  }'
{  "data": {    "chainId": 0,    "user": "string",    "operatorRegistryAddress": "string",    "operatorAddress": "string",    "enabled": true  }}